package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.project.app.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class WorkHoursFacade extends AbstractBizCtrl implements IWorkHoursFacade
{
    public WorkHoursFacade()
    {
        super();
        registerInterface(IWorkHoursFacade.class, this);
    }
    public WorkHoursFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHoursFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("BAE52A17");
    }
    private WorkHoursFacadeController getController() throws BOSException
    {
        return (WorkHoursFacadeController)getBizController();
    }
    /**
     *获取打卡更新填报工时单据-User defined method
     *@param number 员工编码
     *@param star 开始时间
     *@param end 结束时间
     *@param day 往前计算天数
     */
    public void initWorkHoursReport(String number, String star, String end, int day) throws BOSException, EASBizException
    {
        try {
            getController().initWorkHoursReport(getContext(), number, star, end, day);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *计算工时-User defined method
     *@param number 员工
     *@param star 开始时间
     *@param end 结束时间
     *@param day 计算时间
     *@param type 是否更新覆盖
     */
    public void updateWorkHoursReport(String number, String star, String end, int day, String type) throws BOSException, EASBizException
    {
        try {
            getController().updateWorkHoursReport(getContext(), number, star, end, day, type);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}